<?php
/* Autor...:  */
/* Esquema.: MST_EstadosHabitacionMast.xml */
/* Generado: 2020-08-18 04:21:27 */

/* Metodos de acceso a los campos de la tabla MST_EstadosHabitacionMast */
abstract class BaseMST_EstadosHabitacionMastBN
{
    /* Campos de la tabla */
    private $i_IdEstados;    // IdEstados: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $s_Nombre;    // Nombre: ( no definido )
    private $s_CodigoColorImg;    // CodigoColorImg: ( no definido )
    private $s_CodigoColorPrincipal;    // CodigoColorPrincipal: ( no definido )
    private $i_Secuencia;    // Secuencia: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdEstados */
    public function setIdEstados( $i_IdEstados )
    {
        $this->i_IdEstados = $i_IdEstados;
    }

    /* Obtiene el valor del campo IdEstados */
    public function getIdEstados()
    {
        return $this->i_IdEstados;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo Nombre */
    public function setNombre( $s_Nombre )
    {
        $this->s_Nombre = $s_Nombre;
    }

    /* Obtiene el valor del campo Nombre */
    public function getNombre()
    {
        return $this->s_Nombre;
    }

    /* Establece el valor del campo CodigoColorImg */
    public function setCodigoColorImg( $s_CodigoColorImg )
    {
        $this->s_CodigoColorImg = $s_CodigoColorImg;
    }

    /* Obtiene el valor del campo CodigoColorImg */
    public function getCodigoColorImg()
    {
        return $this->s_CodigoColorImg;
    }

    /* Establece el valor del campo CodigoColorPrincipal */
    public function setCodigoColorPrincipal( $s_CodigoColorPrincipal )
    {
        $this->s_CodigoColorPrincipal = $s_CodigoColorPrincipal;
    }

    /* Obtiene el valor del campo CodigoColorPrincipal */
    public function getCodigoColorPrincipal()
    {
        return $this->s_CodigoColorPrincipal;
    }

    /* Establece el valor del campo Secuencia */
    public function setSecuencia( $i_Secuencia )
    {
        $this->i_Secuencia = $i_Secuencia;
    }

    /* Obtiene el valor del campo Secuencia */
    public function getSecuencia()
    {
        return $this->i_Secuencia;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdEstados' => $this->getIdEstados(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'Nombre' => $this->getNombre(),
            'CodigoColorImg' => $this->getCodigoColorImg(),
            'CodigoColorPrincipal' => $this->getCodigoColorPrincipal(),
            'Secuencia' => $this->getSecuencia(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto MST_EstadosHabitacionMastBN desde un RecordSet */
    public static function retrieveByRs( $o_MST_EstadosHabitacionMastRs )
    {
        $o_MST_EstadosHabitacionMastBN = new MST_EstadosHabitacionMastBN();
        $o_MST_EstadosHabitacionMastBN->setIdEstados( ( integer ) $o_MST_EstadosHabitacionMastRs[ "IdEstados" ] );
        $o_MST_EstadosHabitacionMastBN->setIdCompania( ( integer ) $o_MST_EstadosHabitacionMastRs[ "IdCompania" ] );
        $o_MST_EstadosHabitacionMastBN->setIdSucursal( ( integer ) $o_MST_EstadosHabitacionMastRs[ "IdSucursal" ] );
        $o_MST_EstadosHabitacionMastBN->setNombre( $o_MST_EstadosHabitacionMastRs[ "Nombre" ] );
        $o_MST_EstadosHabitacionMastBN->setCodigoColorImg( $o_MST_EstadosHabitacionMastRs[ "CodigoColorImg" ] );
        $o_MST_EstadosHabitacionMastBN->setCodigoColorPrincipal( $o_MST_EstadosHabitacionMastRs[ "CodigoColorPrincipal" ] );
        $o_MST_EstadosHabitacionMastBN->setSecuencia( ( integer ) $o_MST_EstadosHabitacionMastRs[ "Secuencia" ] );
        $o_MST_EstadosHabitacionMastBN->setEstado( $o_MST_EstadosHabitacionMastRs[ "Estado" ] );
        $o_MST_EstadosHabitacionMastBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_MST_EstadosHabitacionMastRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_MST_EstadosHabitacionMastBN->setUsuarioCreacion( $o_MST_EstadosHabitacionMastRs[ "UsuarioCreacion" ] );
        $o_MST_EstadosHabitacionMastBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_MST_EstadosHabitacionMastRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_MST_EstadosHabitacionMastBN->setUsuarioModificacion( $o_MST_EstadosHabitacionMastRs[ "UsuarioModificacion" ] );
        return $o_MST_EstadosHabitacionMastBN;
    }
}
?>